org.apache.commons.collections4.multiset

## Class AbstractMapMultiSet.EntrySetIterator<E>

- java.lang.Object
- - org.apache.commons.collections4.multiset.AbstractMapMultiSet.EntrySetIterator<E>

- All Implemented Interfaces:
    Iterator<MultiSet.Entry<E>>
  Enclosing class:
    AbstractMapMultiSet<E>

      protected static class AbstractMapMultiSet.EntrySetIterator<E>
      extends Object
      implements Iterator<MultiSet.Entry<E>>

  Inner class EntrySetIterator.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected boolean` | `canRemove` Whether remove is allowed at present
    `protected Iterator<Map.Entry<E,AbstractMapMultiSet.MutableInteger>>` | `decorated`
    `protected MultiSet.Entry<E>` | `last` The last returned entry
    `protected AbstractMapMultiSet<E>` | `parent` The parent map

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `EntrySetIterator(Iterator<Map.Entry<E,AbstractMapMultiSet.MutableInteger>> iterator, AbstractMapMultiSet<E> parent)` Constructor.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `hasNext()`
    `MultiSet.Entry<E>` | `next()`
    `void` | `remove()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface java.util.Iterator

      `forEachRemaining`

- - ### Field Detail

    - #### parent

          protected final AbstractMapMultiSet<E> parent

      The parent map

    - #### decorated

          protected final Iterator<Map.Entry<E,AbstractMapMultiSet.MutableInteger>> decorated

    - #### last

          protected MultiSet.Entry<E> last

      The last returned entry

    - #### canRemove

          protected boolean canRemove

      Whether remove is allowed at present

  - ### Constructor Detail

    - #### EntrySetIterator

          protected EntrySetIterator(Iterator<Map.Entry<E,AbstractMapMultiSet.MutableInteger>> iterator,
                                     AbstractMapMultiSet<E> parent)

      Constructor.
      Parameters:
        `iterator` - the iterator to decorate
        `parent` - the parent multiset

  - ### Method Detail

    - #### hasNext

          public boolean hasNext()

      Specified by:
        `hasNext` in interface `Iterator<MultiSet.Entry<E>>`

    - #### next

          public MultiSet.Entry<E> next()

      Specified by:
        `next` in interface `Iterator<MultiSet.Entry<E>>`

    - #### remove

          public void remove()

      Specified by:
        `remove` in interface `Iterator<MultiSet.Entry<E>>`

Copyright © 2001–2018 The Apache Software Foundation. All rights reserved.